Bug 1397248 - pods are named 'container groups' in the policy explorer right cell
Summary: pods are named 'container groups' in the policy explorer right cell
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.7.1
Assignee: Beni Paskin-Cherniavsky
QA Contact: Dmitry Misharov
URL:
Whiteboard: container:ui:control
Depends On: 1359909 1404463
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-22 02:30 UTC by Satoe Imaishi
Modified: 2017-02-27 19:24 UTC (History)
12 users (show)

Fixed In Version: 5.7.1.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1359909
Environment:
Last Closed: 2017-02-27 19:24:36 UTC
Category: ---
Cloudforms Team: Container Management
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 0 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 CFME Bot 2017-01-06 18:00:53 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/63d14f89432d05a2f369309597338f30874429c6

commit 63d14f89432d05a2f369309597338f30874429c6
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Mon Nov 21 10:19:19 2016 -0800
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Jan 6 12:55:32 2017 -0500

    Merge pull request #12760 from cben/new-policy-title
    
    Fix policy x_node after create/copy/delete
    (cherry picked from commit 09870b7d62281693e8395dfc812b21a1ffca6f91)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1397248

 app/controllers/miq_policy_controller/policies.rb     | 15 ++++++++++++---
 .../miq_policy_controller/policies_spec.rb            | 19 ++++++++++---------
 2 files changed, 22 insertions(+), 12 deletions(-)

Comment 3 CFME Bot 2017-01-06 19:20:56 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/5b44b15f3b0fbd0f07c77d8d5dbcb5316ba94c32

commit 5b44b15f3b0fbd0f07c77d8d5dbcb5316ba94c32
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Fri Nov 25 12:56:37 2016 +0100
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Jan 6 14:18:47 2017 -0500

    Merge pull request #12802 from cben/no-conditions
    
    Fix entity name in Policies & Conditions lists
    (cherry picked from commit c3aa75376639edb6dd7a542630d4dad4e7610907)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1397248

 app/views/miq_policy/_condition_list.html.haml | 5 +++--
 app/views/miq_policy/_policy_list.html.haml    | 7 +++++--
 2 files changed, 8 insertions(+), 4 deletions(-)

Comment 4 Federico Simoncelli 2017-01-12 09:59:56 UTC
Beni should this be in POST?

Comment 5 Beni Paskin-Cherniavsky 2017-01-12 15:02:40 UTC
Sorry, yes, verified now that everything fixed on master got backported.

However, there are still known instances of "Containergroup": bug 1404463.
I know how to proceed there but haven't really started, those won't make it to 5.7.1.
I arbitrarily decided to draw a line and keep that a new BZ instead of keeping growing this one.  I think it's already too hard to figure out what to verify in this BZ...
PMs, QE: if do you prefer to grow this BZ, feel free to dup bug 1404463 to this (or rather to the cfme-future bug 1359909).  Then this will have to move back to ASSIGNED.

Comment 6 Federico Simoncelli 2017-01-12 15:29:55 UTC
(In reply to Beni Paskin-Cherniavsky from comment #5)
> PMs, QE: if do you prefer to grow this BZ, feel free to dup bug 1404463 to
> this (or rather to the cfme-future bug 1359909).  Then this will have to
> move back to ASSIGNED.

My preference is to keep that separate and finalize the fix for this one in 5.7.1.

Comment 7 Dmitry Misharov 2017-01-25 08:29:36 UTC
Bad titles still can be found in the UI. Steps to reproduce:

1. Assign an action, event or condition to a container policy.
2. Open details screen of the action, event or condition.
3. Click on policy in "Assigned to Policies" block.

Tested on 5.7.1.0.20170124142149_8a5f4d5.

Comment 8 Beni Paskin-Cherniavsky 2017-01-25 10:51:29 UTC
Yeah, that's why I asked in comment 5 if QE want the (arbitrary) split of bug 1404463 as a separate bug...
In theory we could figure out the multiple scenarios already fixed here, or the scenarios I go are still broken per bug 1404463, and verifying that "this part is fixed".  I totally see how that's harder and wouldn't quite make sense to call this BZ fixed as long as there are bad titles...
"Depends on" makes perfect sense.

Comment 9 Federico Simoncelli 2017-01-26 23:08:32 UTC
Beni work with Dmitry to verify what was fixed here.

Comment 10 Dmitry Misharov 2017-01-27 07:32:07 UTC
This BZ is closed according https://bugzilla.redhat.com/show_bug.cgi?id=1397248#c6

Comment 12 errata-xmlrpc 2017-02-27 19:24:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html


Note You need to log in before you can comment on or make changes to this bug.